Package org.eclipse.net4j.db

# Interface BatchedStatement.Context

Enclosing interface:
  `BatchedStatement`

public static interface BatchedStatement.Context

Since:
  4.14
Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`void`
`afterExecuteUpdate(BatchedStatement statement)`
`default void`
`manageStatement(BatchedStatement statement)`
`void`
`manageStatement(BatchedStatement statement, String diagnosticName)`

## Method Details

### manageStatement

default void manageStatement(BatchedStatement statement)

### manageStatement

void manageStatement(BatchedStatement statement, String diagnosticName)

### afterExecuteUpdate

void afterExecuteUpdate(BatchedStatement statement)